Subject: bug#69097: [PATCH] Add 'kill-region-or-word' command

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Sep 2024 13:19:33 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 05 Sep 2024 10:02:45 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > If we don't introduce a new command, then what will be the modified
> > behavior of kill-region?  Specifically, when will it delete the last
> > word?  
> 
> If the new user option is non-nil /and/ there is no region.  If
> `kill-region-dwim' is nil (default), then nothing should change.
> 
> >        
> >        In Emacs buffers, it is very rare not to have the mark, so it
> > sounds like the Bash-like behavior will very rarely if ever available,
> > no?
> 
> It will kick-in whenever `use-region-p' returns a non-nil value.

Non-nil or nil?  Above you say "there's no region", which AFAIU means
use-region-p returns nil.

> I recognise that this isn't useful for people who don't rely on
> transient mark mode, but in that case we'll need to commands anyway,
> as I don't want to use the behaviour that Sean describes.

Which is why I think we will need a separate command after all.